#!/usr/bin/env bash

set -e
source $(dirname $0)/env.sh

cd $LUNA_ROOT

SOURCES=($(find kernel/src -type f | grep -v "\.asm"))
SOURCES+=($(find luna -type f | grep -v "CMakeLists.txt"))

for f in ${SOURCES[@]}
do
    clang-format $f -i
done